<?php
//
//
####################################################################################
# Cumulus Realtime.txt file reader by ph-tvs.nl
####################################################################################
#
#   Project:    Cumulus Realtime.txt file reader 
#   Version:    v1.0 - Jan 10th, 2011
#   Purpose:    Reads realtime.txt file for use in webpage scripts 
#				
#   Author:    Theo [HTTP://WWW.PH-TVS.NL] and [HTTP://WWW.WEERSTATION-LEMMER.NL]
#
#	Use this script in your own by include the view-realtime.php
#	include "view-realtime.php";
#
#	Now you can use the strings to show the data from realtime.txt on your website.
#   echo $date;  (Shows the date from the realtime.txt file)
# 
# 	See comments in this script for instructions!
#              
####################################################################################
#   Cumulus Realtime.txt fiel reader by ph-tvs.nl
####################################################################################
//
// edit these lines when needed
//
$file_clientraw = file_get_contents("../cumulus/realtime.txt"); // change this line if realtime.txt is at another location
$data_clientraw = explode(" ", $file_clientraw);
//
// no need to edit these lines below !!
//
// ====================================================================================================================
// asign the string variables
// ====================================================================================================================
//
$date = $data_clientraw[0]; //date (always dd/mm/yy) 
$time = $data_clientraw[1]; //time(always hh:mm:ss)
$temp = $data_clientraw[2]; //outside temperature
$hum = $data_clientraw[3]; //relative humidity 
$dew = $data_clientraw[4]; //Dewpoint
$wspeed = $data_clientraw[5]; //wind speed (average) 
$wlatest = $data_clientraw[6]; //latest wind speed reading
$bearing = $data_clientraw[7]; //wind bearing (degrees)  
$rrate = $data_clientraw[8]; //current rain rate (per hour) 
$rfall = $data_clientraw[9]; //rain today
$press = $data_clientraw[10]; //barometer 
$currentwdir = $data_clientraw[11]; //current wind direction (compass point) 
$beaufort = $data_clientraw[12]; //wind speed beaufort  
$windunit = $data_clientraw[13]; //wind units - m/s, mph, km/h, kts 
$tempunit = $data_clientraw[14]; //temperature units - degree C, degree F
$pressunit = $data_clientraw[15]; //pressure units - MB, hPa, in  
$rainunit = $data_clientraw[16]; //rain units - mm, in 
$windrun = $data_clientraw[17]; //wind run (today)   
$presstrendval = $data_clientraw[18]; //pressure trend value 
$rmonth = $data_clientraw[19]; //monthly rainfall
$ryear = $data_clientraw[20]; //yearly rainfall 
$rfallY = $data_clientraw[21]; //yesterday's rainfall  
$intemp = $data_clientraw[22]; //inside temperature    
$inhum = $data_clientraw[23]; //inside humidity 
$wchill = $data_clientraw[24]; //wind chill
$temptrend = $data_clientraw[25]; //temperature trend value 
$tempTH = $data_clientraw[26]; //today's high temp 
$tTempTH = $data_clientraw[27]; //time of today's high temp (hh:mm)    
$tempTL = $data_clientraw[28]; //today's low temp 
$TtempTL = $data_clientraw[29]; //time of today's low temp (hh:mm)
$windTM = $data_clientraw[30]; //today's high wind speed (average)
$TwindTM = $data_clientraw[31]; //time of today's high wind speed (average) (hh:mm) 
$wgustTM = $data_clientraw[32]; //today's high wind gust     
$TwgustTM = $data_clientraw[33]; //time of today's high wind gust (hh:mm) 
$pressTH = $data_clientraw[34]; //today's high pressure
$TpressTH = $data_clientraw[35]; //time of today's high pressure (hh:mm) 
$pressTL = $data_clientraw[36]; //today's low pressure  
$TpressTL  = $data_clientraw[37]; //time of today's low pressure (hh:mm)    
$version = $data_clientraw[38]; //Cumulus version 
$build = $data_clientraw[39]; //Cumulus build number
$wgust = $data_clientraw[40]; //10-minute high gust  
$heatindex = $data_clientraw[41]; //heat index 
$humidex = $data_clientraw[42]; //humidex   
$UV = $data_clientraw[43]; //UV index
$ET = $data_clientraw[44]; //evapotranspiration today  
$SolarRad = $data_clientraw[45]; //solar radiation W/m2  
$avgbearing = $data_clientraw[46]; //10-minute average wind bearing (degrees) 
$rhour = $data_clientraw[47]; //rainfall last hour   
$forecastnumber = $data_clientraw[48]; //The number of the current forecast as per strings.ini. If the forecast is not being provided by the station and not being generated by Cumulus a value of 0 (zero) is returned 
$isdaylight = $data_clientraw[49]; //Flag to indicate that the location of the station is currently in daylight (1 = yes, 0 = No)
$SensorContactLost = $data_clientraw[50]; //If the station has lost contact with its remote sensors "Fine Offset only", a Flag number is given (1 = Yes, 0 = No)  
$wdir = $data_clientraw[51]; //Average wind direction   
$cloudbase  = $data_clientraw[52]; //Cloud base (value and units combined)  
$cbunits = $data_clientraw[53]; //Cloud base units 
//
// ====================================================================================================================
// end asign string variables
// ====================================================================================================================
//
//
// ====================================================================================================================
//
// view function
// usage : http://linktoyoursite/cumulus/view-realtime.php?action=view
//
// ###### !!!! IMPORTANT !!!! ######
// comment these lines out if you dont need them (for security reasons) 
//
// ====================================================================================================================
//
if ( isset($_REQUEST['action']) && strtolower($_REQUEST['action']) == 'view' ) {


echo "<span style='font-size:16pt;'>";
echo $date;echo" -> date (always dd/mm/yy)";
echo"<br>";
echo $time;echo" -> time(always hh:mm:ss)";
echo"<br>";
echo $temp; echo" -> outside temperature";
echo"<br>";
echo $hum;echo" -> relative humidity";
echo"<br>";
echo $dew;echo" -> Dewpoint";
echo"<br>";
echo $wspeed;echo" -> wind speed (average)";
echo"<br>";
echo $wlatest;echo" -> latest wind speed reading";
echo"<br>";
echo $bearing;echo" -> wind bearing (degrees)";
echo"<br>";
echo $rrate;echo" -> current rain rate (per hour)";
echo"<br>";
echo $rfall;echo" -> rain today";
echo"<br>";
echo $press;echo" -> barometer";
echo"<br>"; 
echo $currentwdir;echo" -> current wind direction (compass point)"; 
echo"<br>";
echo $beaufort;echo" -> wind speed beaufort"; 
echo"<br>"; 
echo $windunit;echo" -> wind units - m/s, mph, km/h, kts";
echo"<br>"; 
echo $tempunit;echo" -> temperature units - degree C, degree F"; 
echo"<br>";
echo $pressunit;echo" -> pressure units - MB, hPa, in";
echo"<br>";  
echo $rainunit;echo" -> rain units - mm, in";
echo"<br>"; 
echo $windrun;echo" -> wind run (today)";
echo"<br>";   
echo $presstrendval;echo" -> pressure trend value";
echo"<br>"; 
echo $rmonth;echo" -> monthly rainfall"; 
echo"<br>";
echo $ryear;echo" -> /yearly rainfall"; 
echo"<br>";
echo $rfallY;echo" -> yesterday's rainfall";
echo"<br>";  
echo $intemp;echo" -> inside temperature";
echo"<br>";    
echo $inhum;echo" -> inside humidity";
echo"<br>"; 
echo $wchill;echo" -> wind chill";
echo"<br>";
echo $temptrend;echo" -> temperature trend value"; 
echo"<br>";
echo $tempTH;echo" -> today's high temp"; 
echo"<br>";
echo $tTempTH;echo" -> time of today's high temp (hh:mm)";
echo"<br>";    
echo $tempTL;echo" -> today's low temp";
echo"<br>"; 
echo $TtempTL;echo" -> time of today's low temp (hh:mm)";
echo"<br>";
echo $windTM;echo" -> today's high wind speed (average)";
echo"<br>";
echo $TwindTM;echo" -> time of today's high wind speed (average) (hh:mm)";
echo"<br>"; 
echo $wgustTM;echo" -> today's high wind gust";
echo"<br>";     
echo $TwgustTM;echo" -> time of today's high wind gust (hh:mm)";
echo"<br>"; 
echo $pressTH;echo" -> today's high pressure"; 
echo"<br>";
echo $TpressTH;echo" -> time of today's high pressure (hh:mm)";
echo"<br>"; 
echo $pressTL;echo" -> today's low pressure";
echo"<br>";  
echo $TpressTL;echo" -> time of today's low pressure (hh:mm)";
echo"<br>";    
echo $version;echo" -> Cumulus version";
echo"<br>"; 
echo $build;echo" -> Cumulus build number";  
echo"<br>";
echo $wgust;echo" -> 10-minute high gust";
echo"<br>";  
echo $heatindex;echo" -> heat index";
echo"<br>"; 
echo $humidex;echo" -> humidex";
echo"<br>";   
echo $UV;echo" -> UV index";
echo"<br>";
echo $ET;echo" -> evapotranspiration today"; 
echo"<br>";  
echo $SolarRad;echo" -> solar radiation W/m2";
echo"<br>";  
echo $avgbearing;echo" -> 10-minute average wind bearing (degrees)";
echo"<br>"; 
echo $rhour;echo" -> rainfall last hour";
echo"<br>";   
echo $forecastnumber;echo" -> The number of the current forecast as per strings.ini. If the forecast is not being provided by the station and not being generated by Cumulus a value of 0 (zero) is returned";
echo"<br>"; 
echo $isdaylight;echo" -> Flag to indicate that the location of the station is currently in daylight (1 = yes, 0 = No)";
echo"<br>";
echo $SensorContactLost;echo" -> If the station has lost contact with its remote sensors (Fine Offset only), a Flag number is given (1 = Yes, 0 = No)";
echo"<br>";  
echo $wdir;echo" -> Average wind direction";
echo"<br>";   
echo $cloudbase;echo" -> Cloud base (value and units combined)";
echo"<br>";  
echo $cbunits;echo" -> Cloud base units"; 
echo"<br>";

exit;
}
// ====================================================================================================================
// end view function (do not change lines below!)
// ====================================================================================================================
//
// EOF
?>